using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp11
{
    class Program
    {
        static int generisi_sve(int a, int b, int c)
        {


            int[] niz = new int[6];
            niz[0] = c * (int)Math.Pow(10, b.ToString().Length + a.ToString().Length) + b * (int)Math.Pow(10, a.ToString().Length) + a;
            niz[1] = b * (int)Math.Pow(10, c.ToString().Length + a.ToString().Length) + c * (int)Math.Pow(10, a.ToString().Length) + a;
            niz[2] = a * (int)Math.Pow(10, b.ToString().Length + c.ToString().Length) + b * (int)Math.Pow(10, c.ToString().Length) + c;
            niz[3] = c * (int)Math.Pow(10, b.ToString().Length + a.ToString().Length) + a * (int)Math.Pow(10, b.ToString().Length) + b;
            niz[4] = b * (int)Math.Pow(10, c.ToString().Length + a.ToString().Length) + a * (int)Math.Pow(10, c.ToString().Length) + c;
            niz[5] = a * (int)Math.Pow(10, c.ToString().Length + b.ToString().Length) + c * (int)Math.Pow(10, b.ToString().Length) + b;
            

            Array.Sort(niz);
            
            
            






            return niz[5];

        }
        static void Main(string[] args)
        {
            
            string[] helpniz = Console.ReadLine().Split(' ');
            int[] niz = new int[3];
            niz[0] = int.Parse(helpniz[0]);
            niz[1] = int.Parse(helpniz[1]);
            niz[2] = int.Parse(helpniz[2]);
            
            
            int A = niz[0];
            int B = niz[1];
            int C = niz[2];
           

            
                Console.WriteLine(generisi_sve(A,B,C));
            
            Console.ReadLine();

        }
    }
}